<?php

include "./vesdk/base.php";
include "./vesdk/ClipVideo.php";
use vesdk\ClipVideo;
$randRecordId = md5(time() . rand(100000,999999));
//无替换素材
function generateClipData($recordId)
{
    $json     = <<<EOT
{
    "recordId": "$recordId",
    "videoClips" : [
        { 
            "fileUrl" : "https://vev-oss1.atvideo.cc/asset11.mp4",
            "clips" : [
                {
                    "t": [1000, 10000],
                    "mode": "fixed"
                },
                 {
                    "t": [20000, 40000],
                    "mode": "fixed"
                }
            ]
        }
    ],
    "ossId" : "s12sesd1scqacqdq",
    "uploadKey": "video/vetest6.mp4",
    "notifyUrl": "http://www.seexon.com/render/callback",
    "width" : 1280,
    "height" : 720,
    "frameRate":30
}
EOT;
    return $json;
}


$json = generateClipData($randRecordId);
//根据实际业务需要拼接这段json,json中的recordId必须是一个新的!
$json_arr = json_decode($json, true);
$config   = [
    "accessKey"    => "", //在控制台配置的秘钥
    "accessSecret" => "", //在控制台配置的秘钥
    "productId"    => "", //在控制台查看产品id
    "ossId"        => "", // 在控制台的OSSID
];
$cpr      = new ClipVideo($config);
$res      = $cpr->request($json_arr);

if (!$res || $res["errno"] !== 0)
{
    throw new \Exception("request failed! ". json_encode($res));
}
var_dump($res);

