<?php

include "./vesdk/base.php";
include "./vesdk/Cpr.php";
use vesdk\Cpr;
$randRecordId = md5(time() . rand(100000,999999));

//replaceJson替换
function renderWithReplaceJson($recordId)
{
    $json     = <<<EOT
{
	"tplId": "40",
	"tplType": 2,
	"tplVersion": 11,
	"tplUrl": "https:\/\/ve-oss1.atvideo.cc\/admin\/template\/meipian_kenbentuya.zip",
	"recordId": "$recordId",
	"musicUrl": "http:\/\/static.seeshiontech.com\/photo_relay_album\/video\/yp_1.mp3",
	"musicLoop": 1,
    "replaceableJson": [{
		"replaces": [{
			"d_key": "title",
			"type": 1,
			"file": "http:\/\/static.atvideo.cc\/kebentuya\/1.jpeg"
		}]
	},{
		"main_file": "https:\/\/e-album.oss-cn-beijing.aliyuncs.com\/upload_pics\/555.jpg",
		"replaces": [{
			"d_key_prefix": "dtext",
			"type": 1,
			"file": "https:\/\/ve-img-src.atvideo.cc\/workspace\/assets\/235_41_text2.png"
		}]
	}, {
		"main_file": "https:\/\/ve-img-src.atvideo.cc\/meipian\/img\/3.jpeg",
		"replaces": [{
			"d_key_prefix": "dtext",
			"type": 2,
			"text": "描述3描述3Text3"
		}]
	}, {
		"main_file": "https:\/\/ve-img-src.atvideo.cc\/meipian\/img\/4.jpeg"
	}, {
		"main_file": "https:\/\/vei-oss1.atvideo.cc\/photo_relay_album\/14_113e983b1804b2af2d27bcdd31d594a7.jpg"
	}],
	"audioTracks": [{
			"filePath": "http://static.atvideo.cc/2019/11/15/17/10/test.mp3",
			"inPoint": 35,
			"duration": 42,
			"startTime": 6,
			"endTime": 15,
			"loop": false,
			"volume": 1
		},
		{
			"filePath": "http://static.atvideo.cc/2019/11/25/10/55/testaacmusic.aac",
			"inPoint": 2.1,
			"duration": 9,
			"startTime": 33,
			"endTime": 38,
			"loop": false,
			"volume": 1
		},
		{
			"filePath": "http://static.atvideo.cc/2019/11/25/11/01/music1.mp4",
			"inPoint": 4.1,
			"duration": 3,
			"startTime": 11,
			"endTime": 12,
			"loop": true,
			"volume": 1
		}
	],
	"snapshots": [{
		"frame": 1,
		"uploadKey": "user_snapshots\/27aa935201b942d5699d0ad4877b0bdb.png"
	}],
	"ossId": "s12sesd1scqacqdq",
	"notifyUrl": "http:\/\/www.seexon.com\/render\/callback?a=1",
	"uploadKey": "user_video\/asxx8h081hngbd.mp4",
	"debug": "vedebug"
} 
EOT;
    return $json;
}
//AsssetUrls方式 替换素材
function renderWithAsset($recordId)
{
    $json     = <<<EOT
{
	"tplId": "40",
	"tplType": 2,
	"tplVersion": 10,
	"tplUrl": "http://static.atvideo.cc/kebentuya/kenbentuya.zip",
	"recordId": "$recordId",
	"assetUrls": [
        "http://static.atvideo.cc/kebentuya/1.jpeg",
        "http://static.atvideo.cc/kebentuya/2.jpeg",
        "http://static.atvideo.cc/kebentuya/3.jpeg",
        "http://static.atvideo.cc/kebentuya/4.jpeg",
        "http://static.atvideo.cc/kebentuya/5.jpeg"
	],
	"musicUrl": "http:\/\/static.seeshiontech.com\/photo_relay_album\/video\/yp_1.mp3",
	"musicLoop": 1,
	"subAssetUrls": [
        {
            "d_img_paths":["http://static.atvideo.cc/kebentuya/235_41_text8.png"],
            "d_key_prefix":"title",
            "img_path":""
        },
        {
            "d_img_paths":["http://static.atvideo.cc/kebentuya/235_41_text1.png"],
            "d_key_prefix":"dtext",
            "img_path":"http://static.atvideo.cc/kebentuya/1.jpeg"
        },
        {
            "d_img_paths":["http://static.atvideo.cc/kebentuya/235_41_text2.png","http://static.atvideo.cc/kebentuya/235_41_text3.png"],
            "d_key_prefix":"dtext",
            "img_path":"http://static.atvideo.cc/kebentuya/2.jpeg"},
        {
            "d_img_paths":["http://static.atvideo.cc/kebentuya/235_41_text4.png"],
            "d_key_prefix":"dtext","img_path":"http://static.atvideo.cc/kebentuya/3.jpeg"
        },
        {
            "d_img_paths":["http://static.atvideo.cc/kebentuya/235_41_text5.png"],
            "d_key_prefix":"dtext","img_path":"http://static.atvideo.cc/kebentuya/4.jpeg"
        },
        {
            "d_img_paths":["http://static.atvideo.cc/kebentuya/235_41_text6.png"],
            "d_key_prefix":"dtext",
            "img_path":"http://static.atvideo.cc/kebentuya/5.jpeg"
        }]
    ,
	"snapshots": [{
		"frame": 1,
		"uploadKey": "user_snapshots\/27aa935201b942d5699d0ad4877b0bdb.png"
	}],
	"audioTracks": [{
			"filePath": "http://static.atvideo.cc/2019/11/15/17/10/test.mp3",
			"inPoint": 35,
			"duration": 42,
			"startTime": 6,
			"endTime": 15,
			"loop": false,
			"volume": 1
		},
		{
			"filePath": "http://static.atvideo.cc/2019/11/25/10/55/testaacmusic.aac",
			"inPoint": 2.1,
			"duration": 9,
			"startTime": 33,
			"endTime": 38,
			"loop": false,
			"volume": 1
		},
		{
			"filePath": "http://static.atvideo.cc/2019/11/25/11/01/music1.mp4",
			"inPoint": 4.1,
			"duration": 3,
			"startTime": 11,
			"endTime": 12,
			"loop": true,
			"volume": 1
		}
	],
	"ossId": "s12sesd1scqacqdq",
	"notifyUrl": "http:\/\/www.seexon.com\/render\/callback?a=1",
	"uploadKey": "user_video\/asxx8h081hnx.mp4",
	"bitrateControl":0.1
} 
EOT;
    return $json;
}


function powerText($recordId) {
    $json = <<<EOT
{
	"tplId": "102",
	"tplType": 2,
	"tplVersion": 1,
	"tplUrl": "http://static.seeshiontech.com/textanimate_normal_tpl.zip",
	"recordId": "$recordId",
	"musicLoop": 1,
	"setting": 514,
	"assetUrls": [],
	"subTexts": [],
	"musicUrl": "http://static.atvideo.cc/2019/11/15/17/10/test.mp3",
	"scriptData": [],
	"scriptUrl": "",
	"createdAt": 1568271604886,
	"ext": "",
	"snapshots": [{
		"frame": 1,
		"uploadKey": "user_snapshots/27aa935201b942d5699d0ad4877b0bdb.png"
	}],
	"bitrateControl": 0,
	"replaceableJson": [   {
            "power_text": {
                "text": "字幕一"
            }
        },
        {
            "power_text": {
                "text": "字幕二"
            }
        },
        {
            "power_text": {
                "text": "字幕三"
            }
        },
        {
            "main_file": "http://vei-oss1.atvideo.cc/2019/11/27/11/51/D614EBDA0B387F853C0999D2F1EEFD4C.jpg"
        },
        {
            "power_text": {
                "text": "字幕四"
            }
        },
        {
            "main_file": "http://vei-oss1.atvideo.cc/2019/11/27/11/51/D614EBDA0B387F853C0999D2F1EEFD4C.jpg"
        }
	],
	"ossId": "s12sesd1scqacqdq",
	"notifyUrl": "http:\/\/www.seexon.com\/render\/callback?a=1",
	"uploadKey": "user_video\/asxx8h081hngbdc12345.mp4"
}
EOT;

    return $json;
}
$json = powerText($randRecordId);
//根据实际业务需要拼接这段json,json中的recordId必须是一个新的!
$json_arr = json_decode($json, true);

$config   = [
    "accessKey"    => "", //在控制台配置的秘钥
    "accessSecret" => "", //在控制台配置的秘钥
    "productId"    => "", //在控制台查看产品id
    "ossId"        => "", // 在控制台的OSSID


];

$cpr      = new Cpr($config);
$res      = $cpr->request($json_arr);

if (!$res || $res["errno"] !== 0)
{
    throw new \Exception("request failed! ". json_encode($res));
}

var_dump($res);

